<mat-sidenav-container class="sidenav-container">
  <mat-sidenav #drawer class="sidenav" fixedInViewport
      [attr.role]="(isHandset$ | async) ? 'dialog' : 'navigation'"
      [mode]="(isHandset$ | async) ? 'over' : 'side'"
      [opened]="(isHandset$ | async) === false">
    <mat-toolbar>Menu</mat-toolbar>
    <mat-nav-list>
      <a mat-list-item routerLink="/" ><mat-icon>home </mat-icon> Inicio</a>
      <a mat-list-item routerLink="/new" ><mat-icon>add </mat-icon> Nuevo</a>
      <a mat-list-item routerLink="/statistics" > <mat-icon>bar_chart </mat-icon> Estadisticas</a>
      <a mat-list-item ><app-login-button></app-login-button></a>
    </mat-nav-list>
  </mat-sidenav>
  <mat-sidenav-content>
    <mat-toolbar color="primary">
      <button
        type="button"
        aria-label="Toggle sidenav"
        mat-icon-button
        (click)="drawer.toggle()"
        *ngIf="isHandset$ | async">
        <mat-icon aria-label="Side nav toggle icon">menu</mat-icon>
      </button>
      <span>diabetes</span>
      <span class="example-spacer"></span>
      <app-user-profile></app-user-profile>
    </mat-toolbar>
    <router-outlet></router-outlet>
  </mat-sidenav-content>
</mat-sidenav-container>
